Skip to main content
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
Create a conversation
curl --request POST \
  --url https://app.omnivibe.com.br/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_attributes": {}
}
'
{
  "id": 123,
  "uuid": "<string>",
  "inbox_id": 123,
  "contact_last_seen_at": 123,
  "status": "open",
  "agent_last_seen_at": 123,
  "messages": [
    {
      "id": 123,
      "content": "<string>",
      "message_type": 123,
      "content_type": "<string>",
      "content_attributes": {},
      "created_at": 123,
      "conversation_id": 123,
      "attachments": [
        {
          "id": 123,
          "message_id": 123,
          "file_type": "image",
          "account_id": 123,
          "extension": "<string>",
          "data_url": "<string>",
          "thumb_url": "<string>",
          "file_size": 123,
          "width": 123,
          "height": 123,
          "coordinates_lat": 123,
          "coordinates_long": 123,
          "fallback_title": "<string>",
          "meta": {},
          "transcribed_text": "<string>"
        }
      ],
      "sender": {
        "id": 123,
        "name": "<string>",
        "avatar_url": "<string>",
        "thumbnail": "<string>",
        "type": "contact",
        "available_name": "<string>",
        "availability_status": "<string>",
        "email": "<string>",
        "phone_number": "<string>",
        "identifier": "<string>",
        "blocked": true,
        "additional_attributes": {},
        "custom_attributes": {},
        "description": "<string>",
        "created_at": "<string>"
      }
    }
  ],
  "contact": {
    "id": 123,
    "name": "<string>",
    "email": "<string>",
    "phone_number": "<string>",
    "identifier": "<string>",
    "blocked": true,
    "additional_attributes": {},
    "custom_attributes": {},
    "contact_type": "<string>",
    "country_code": "<string>",
    "last_activity_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "last_name": "<string>",
    "middle_name": "<string>",
    "location": "<string>",
    "account_id": 123,
    "company_id": 123,
    "label_list": [
      "<string>"
    ]
  }
}

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

contact_identifier
string
required

The source id of contact obtained on contact create

Body

application/json
custom_attributes
object

Custom attributes of the conversation

Example:
{}

Response

Success

id
integer

Id of the conversation

uuid
string

UUID of the conversation

inbox_id
integer

The inbox id of the conversation

contact_last_seen_at
integer

Timestamp of when the contact last seen the conversation (Unix timestamp)

status
enum<string>

The status of the conversation

Available options:
open,
resolved,
pending,
snoozed
agent_last_seen_at
integer

Timestamp of when the agent last seen the conversation (Unix timestamp)

messages
object[]

Messages in the conversation

contact
object

Full serialized contact record returned when the public API renders a Contact model directly.